Eclipse update site

Update sites containing the project can be found here:

Other EMF related eclipse plugins can be found here:

Installation instructions

Setting the environment

The development of the BlockLibrary tooling is done using a specific Eclipse version and specific plugin versions. There is no guarantee that the toolset will behave correctly if you are using other versions.

In order to get it working the procedure is the following:

  • Download Eclipse Juno Release 20120620-1657

  • Install it in your favorite folder !

  • We provide a configuration file in order to get the plugins at the right version: configuration file.

    • To use it launch your Eclipse and go to File > Import > Install > Install Software Items from File, select the downloaded file and proceed with installation.
    • Open the configuration file for more details on the actual versions of the plugins

Installing the software

  1. Start Eclipse.
  2. Choose the Help > Software Updates > Available Software menu option.
  3. Press Add Site in the Available Software tab of the Software Updates dialog.
  4. Enter one of the previously given update site URLs into the Location field of the Add Site dialog.
  5. Optionally add a name in the Name field.
  6. Press OK.
  7. Select the BlockLibrary checkbox
  8. Press Install.
  9. Press the Next button in the following install pages.
  10. You must accept the Eclipse restart confirmation.

Table Of Contents

Previous topic

Examples

Next topic

Developer page

This Page